import request from '@/utils/request'

// 查询PBX列表
export function listInfo(query) {
  return request({
    url: '/pbx/info/list',
    method: 'get',
    params: query
  })
}

// 查询PBX详细
export function getInfo(id) {
  return request({
    url: '/pbx/info/' + id,
    method: 'get'
  })
}

// 新增PBX
export function addInfo(data) {
  return request({
    url: '/pbx/info',
    method: 'post',
    data: data
  })
}

// 修改PBX
export function updateInfo(data) {
  return request({
    url: '/pbx/info',
    method: 'put',
    data: data
  })
}

// 删除PBX
export function delInfo(id) {
  return request({
    url: '/pbx/info/' + id,
    method: 'delete'
  })
}
